Help Rated 4 out of 5 stars

I have thunderbird 7.0.1
I really want to download this but it won't let me. What should I do?

This review is for a previous version of the add-on ( 

Noia Fox works only with Thunderbird 17+. Thunderbird 7 is too far from actual version and I canot make all Thunderbird versions be compatible with Noia Fox. Some themes are still compatible with Thunderbird 7. You can try Noia 2 Extreme version 3.44 :

Or install the last Thunderbird version and you will have the possibility to test Noia Fox. The last version of Thunderbird is very good and stable.